// Copyright (c) Microsoft Corporation.
// Licensed under the MIT license.
/**
 * Error used to enforce authentication after trying to retrieve a token silently.
 */
export class AuthenticationRequiredError extends Error {
    constructor(
    /**
     * The list of scopes for which the token will have access.
     */
    scopes, 
    /**
     * The options used to configure the getToken request.
     */
    getTokenOptions = {}, message) {
        super(message);
        this.scopes = scopes;
        this.getTokenOptions = getTokenOptions;
        this.name = "AuthenticationRequiredError";
    }
}
//# sourceMappingURL=errors.js.map